#
# spec file for package python-moksha-hub
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with test
Name:           python-moksha-hub
Version:        1.5.3
Release:        lp151.2.2
Summary:        Hub components for Moksha
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://mokshaproject.net
Source:         https://files.pythonhosted.org/packages/source/m/moksha.hub/moksha.hub-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Twisted
Requires:       python-moksha-common >= 1.0.6
Requires:       python-pyzmq
Requires:       python-txWS
Requires:       python-txZMQ
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module Twisted}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module moksha-common >= 1.0.6}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module pyzmq}
BuildRequires:  %{python_module txWS}
BuildRequires:  %{python_module txZMQ}
BuildRequires:  %{python_module websocket-client}
%endif
%python_subpackages

%description
Hub components for Moksha.

%prep
%setup -q -n moksha.hub-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%doc AUTHORS COPYING README
%python3_only %{_bindir}/moksha-hub
%{python_sitelib}/*

%changelog
* Tue Oct  3 2017 mardnh@gmx.de
- Initial package
